# DataExchange
TKXSBase
IFSelect

# IFSelect_CheckCounter Class Reference

A CheckCounter allows to see a CheckList (i.e. CheckIterator)
not per entity, its messages, but per message, the entities
attached (count and list). Because many messages can be
repeated if they are due to systematic errors
.

`#include <IFSelect_CheckCounter.hxx>`

Inheritance diagram for IFSelect_CheckCounter:

[legend]

## Public Member Functions

Standard_EXPORT | IFSelect_CheckCounter (const Standard_Boolean withlist=Standard_False)
| Creates a CheckCounter, empty ready to work .
Standard_EXPORT void | SetSignature (const Handle(MoniTool_SignText)&sign)
| Sets a specific signature Else, the current SignType (in the model) is used .
Standard_EXPORT Handle_MoniTool_SignText | Signature () const
| Returns the Signature; .
Standard_EXPORT void | Analyse (const Interface_CheckIterator &list, const Handle(Interface_InterfaceModel)&model, const Standard_Boolean original=Standard_False, const Standard_Boolean failsonly=Standard_False)

Analyses a CheckIterator according a Model (which detains the
entities for which the CheckIterator has messages), i.e.
counts messages for entities
If <original> is True, does not consider final messages but
those before interpretation (such as inserting variables :
integers, reals, strings)
If <failsonly> is True, only Fails are considered
Remark : global messages are recorded with a Null entity
.

Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_MoniTool_SignText | thesign

## Constructor & Destructor Documentation

Standard_EXPORT IFSelect_CheckCounter::IFSelect_CheckCounter | ( | const Standard_Boolean | withlist = `Standard_False` | ) |

## Member Function Documentation

Standard_EXPORT void IFSelect_CheckCounter::Analyse | ( | const Interface_CheckIterator & | list,
|  | const Handle(Interface_InterfaceModel)& | model,
|  | const Standard_Boolean | original = `Standard_False`,
|  | const Standard_Boolean | failsonly = `Standard_False`
| ) |

Standard_EXPORT const IFSelect_CheckCounter::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_SignatureList.

Standard_EXPORT void IFSelect_CheckCounter::SetSignature | ( | const Handle(MoniTool_SignText)& | sign | ) |

Standard_EXPORT Handle_MoniTool_SignText IFSelect_CheckCounter::Signature | ( |  | ) | const

## Field Documentation

Handle_MoniTool_SignText IFSelect_CheckCounter::thesign `[private]`

The documentation for this class was generated from the following file:

- IFSelect_CheckCounter.hxx